USE COWS
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
--Main Table to capture all BDRs from UI/Mach5Sender from TRP (Only accepted/rejected ones from UI and transactions sent to Mach5 are captured here)
CREATE TABLE [dbo].[BILL_DSPTCH](
	[BILL_DSPTCH_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CUST_ID] [CHAR](9) NOT NULL,
	[CLEAR_LOC] VARCHAR(10) NOT NULL,
	[DISP_CD] [varchar](20) NOT NULL,
	[DISP_CAT_NAME] [varchar](50) NOT NULL,
	[DISP_SUBCAT_NAME] [varchar](255) NOT NULL,
	[DISP_CA_NAME] [varchar](255) NOT NULL,
	[CLS_DT] DATE NOT NULL,
	[TICK_NBR] [varchar](20) NOT NULL,
	[ACPT_RJCT_CD] [CHAR](1) NULL,
	[CMNT_TXT] [varchar](max) NULL,
	[STUS_ID] [smallint] NOT NULL CONSTRAINT [DF_RECSTUSID_BILL_DSPTCH_1] DEFAULT ((241)), --Retrieved/SentToMach5(241/242/243)
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL CONSTRAINT [DF_getdate_BILL_DSPTCH_1] DEFAULT  getdate(),
	[MODFD_DT] [smalldatetime] NULL,
 CONSTRAINT [PK_BILL_DSPTCH] PRIMARY KEY CLUSTERED 
(
	[BILL_DSPTCH_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[BILL_DSPTCH]  WITH NOCHECK ADD  CONSTRAINT [FK01_BILL_DSPTCH] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[BILL_DSPTCH] CHECK CONSTRAINT [FK01_BILL_DSPTCH]
GO

ALTER TABLE [dbo].[BILL_DSPTCH]  WITH NOCHECK ADD  CONSTRAINT [FK02_BILL_DSPTCH] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[BILL_DSPTCH] CHECK CONSTRAINT [FK02_BILL_DSPTCH]
GO

ALTER TABLE [dbo].[BILL_DSPTCH]  WITH NOCHECK ADD  CONSTRAINT [FK03_BILL_DSPTCH] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[BILL_DSPTCH] CHECK CONSTRAINT [FK03_BILL_DSPTCH]
GO

CREATE NONCLUSTERED INDEX [IX01_BILL_DSPTCH] ON [dbo].[BILL_DSPTCH]
(
	[CUST_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_BILL_DSPTCH] ON [dbo].[BILL_DSPTCH]
(
	[CLS_DT]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

---------------------------
--Table to capture all Mach5 BDR transactions
---------------------------

CREATE TABLE [dbo].[M5_BILL_DSPTCH_MSG](
	[M5_BILL_DSPTCH_MSG_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[BILL_DSPTCH_ID] [int] NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL CONSTRAINT [DF_getdate_M5_BILL_DSPTCH_MSG_1] DEFAULT  getdate(),
	[SENT_DT] [smalldatetime] NULL,
	[ERR_MSG] [varchar](1000) NULL,
 CONSTRAINT [PK_M5_BILL_DSPTCH_MSG] PRIMARY KEY CLUSTERED 
(
	[M5_BILL_DSPTCH_MSG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[M5_BILL_DSPTCH_MSG]  WITH CHECK ADD  CONSTRAINT [FK01_M5_BILL_DSPTCH_MSG] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[M5_BILL_DSPTCH_MSG] CHECK CONSTRAINT [FK01_M5_BILL_DSPTCH_MSG]
GO

CREATE NONCLUSTERED INDEX [IX01_M5_BILL_DSPTCH_MSG] ON [dbo].[M5_BILL_DSPTCH_MSG]
(
	[BILL_DSPTCH_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.REDSGN
ADD [CISC_SMRT_LIC_CD] BIT NULL
GO

ALTER TABLE dbo.REDSGN
ADD [SMRT_ACCNT_DMN] VARCHAR(25) NULL
GO

ALTER TABLE dbo.REDSGN
ADD [MSS_IMPL_EST_AMT] [decimal](10, 2) NULL
GO

ALTER TABLE dbo.REDSGN
ADD [VRTL_ACCNT] VARCHAR(25) NULL
GO